%define		perl_vendorarch	%(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

Summary: 	Modular text mode IRC client with Perl scripting
Name: 		irssi
Version: 	0.8.9
Release: 	5
Epoch: 		0
License: 	GPL
Group: 		Applications/Communications
URL: 		http://irssi.org/
Source0: 	http://irssi.org/files/%{name}-%{version}.tar.bz2
Source1:	http://wouter.coekaerts.be/irssi/scripts/replace.pl
Source2:	http://wouter.coekaerts.be/irssi/scripts/trigger.pl
Source3:	http://wouter.coekaerts.be/irssi/scripts/convert-replace-trigger.pl
Patch1:		convert-replace-trigger.pl-fixpath-patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	ncurses-devel openssl-devel zlib-devel pkgconfig gc-devel
%{?_with_glib1:BuildRequires:	glib-devel}
%{!?_with_glib1:BuildRequires:	glib2-devel}

Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# ----------------------------------------------------------------------------

%description
Irssi is a modular IRC client with Perl scripting. Only text-mode
frontend is currently supported. The GTK/GNOME frontend is no longer
being maintained.

# ----------------------------------------------------------------------------

%prep
%setup -q
install -m 0644 %{SOURCE3} .
%patch1 -p0

# ----------------------------------------------------------------------------

%build
%configure --enable-ipv6 --with-textui	\
%{?_with_glib1:	 --with-glib1}		\
	 --with-proxy			\
	 --with-bot			\
	 --with-perl=module		\
	 --with-perl-lib=vendor --with-gc
make %{?_smp_mflags}

# ----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

# Extra script
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/%{name}/scripts
install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/%{name}/scripts

# Clean up
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/modules/lib*.*a 
rm -Rf $RPM_BUILD_ROOT/%{_docdir}/%{name}
find $RPM_BUILD_ROOT%{perl_vendorarch} -type f -a -name '*.bs' -a -empty -exec rm -f {} ';'
find $RPM_BUILD_ROOT%{perl_vendorarch} -type f -a -name .packlist -exec rm {} ';'

# Fix permissions
chmod -R u+w $RPM_BUILD_ROOT%{perl_vendorarch}

# ----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# ----------------------------------------------------------------------------

%files
%defattr(-,root,root,-)
%doc docs/*.txt docs/*.html AUTHORS COPYING NEWS README TODO convert-replace-trigger.pl
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/%{name}
%{_bindir}/botti
%{_datadir}/%{name}
%{_libdir}/%{name}
%{_mandir}/man1/%{name}.1*
%{perl_vendorarch}/Irssi*
%{perl_vendorarch}/auto/Irssi

# ----------------------------------------------------------------------------

%changelog
* Fri Dec 24 2004 Michael Schwendt <mschwendt[AT]users.sf.net> 0:0.8.9-5
- Reduce Perl dir ownership and add MODULE_COMPAT dependency.

* Fri Apr  2 2004 Dams <anvil[AT]livna.org> 0:0.8.9-0.fdr.4
- Rebuilt to use new perl to prevent random segmentation fault at load
  time

* Fri Feb  6 2004 Dams <anvil[AT]livna.org> 0:0.8.9-0.fdr.3
- Patch from Michael Schwendt to fix convert-replace-trigger script
  (bug #1120 comment #3)

* Sat Dec 20 2003 Dams <anvil[AT]livna.org> 0:0.8.9-0.fdr.2
- Fixed changelog typo
- Added trigger.pl as replace.pl wont be maintained anymore
- Updated replace.pl to 0.1.4 version
- Added replace.pl URL in Source tag
- Removed .packlist files
- Added as doc a script to convert pref from replace.pl to trigger.pl

* Thu Dec 11 2003 Dams <anvil[AT]livna.org> 0:0.8.9-0.fdr.1
- Updated to 0.8.9

* Mon Nov 24 2003 Dams <anvil[AT]livna.org> 0:0.8.8-0.fdr.1
- Updated to 0.8.8
- Enabled gc

* Sun Sep 14 2003 Dams <anvil[AT]livna.org> 0:0.8.6-0.fdr.13
- Rebuild

* Sun Sep 14 2003 Michael Schwendt <mschwendt[AT]users.sf.net> 0:0.8.6-0.fdr.12
- apply openssl patch only if openssl-devel supports pkgconfig

* Thu Sep 11 2003 Dams <anvil[AT]livna.org> 0:0.8.6-0.fdr.11
- Installing replace.pl in good directory

* Thu Sep 11 2003 Dams <anvil[AT]livna.org> 0:0.8.6-0.fdr.10
- Rebuild

* Thu Sep 11 2003 Dams <anvil[AT]livna.org> 0:0.8.6-0.fdr.9
- Using vendor perl directories

* Thu Sep 11 2003 Dams <anvil[AT]livna.org> 0:0.8.6-0.fdr.8
- Added missing unowned directories
- Added an additionnal useful perl script (replace.pl)

* Tue Aug  5 2003 Dams <anvil[AT]livna.org> 0:0.8.6-0.fdr.7
- Added zlib-devel buildrequires

* Sat Jul 12 2003 Dams <anvil[AT]livna.org> 0:0.8.6-0.fdr.6
- Applied Patches from Ville Skyttä (bug #277 comment #11 and 
  comment #12)

* Mon Jun 23 2003 Dams <anvil[AT]livna.org> 0:0.8.6-0.fdr.5
- Modified BuildRequires for ssl

* Wed Jun 11 2003 Dams <anvil[AT]livna.org> 0:0.8.6-0.fdr.4
- Added another dir entry

* Sun Jun  8 2003 Dams <anvil[AT]livna.org> 0:0.8.6-0.fdr.3
- Added some dir entry in file section

* Tue May 20 2003 Dams <anvil[AT]livna.org> 0:0.8.6-0.fdr.2
- Exclude modules ".a" files
- Include more files as doc

* Sat May 10 2003 Dams <anvil[AT]livna.org> 
- Initial build.
